Qt Reference Documentation

# Qt 3 Support Members for QUrl

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QUrl class reference

## Public Functions

void | addPath ( const QString & p )
bool | cdUp ()
QString | dirPath () const
QString | fileName () const
bool | hasHost () const
bool | hasPassword () const
bool | hasPath () const
bool | hasPort () const
bool | hasRef () const
bool | hasUser () const
QString | protocol () const
QString | query () const
QString | ref () const
void | setFileName ( const QString & txt )
void | setProtocol ( const QString & s )
void | setQuery ( const QString & txt )
void | setRef ( const QString & txt )
void | setUser ( const QString & s )
QString | user () const
| operator QString () const

## Static Public Members

void | decode ( QString & url )
void | encode ( QString & url )
bool | isRelativeUrl ( const QString & url )

## Protected Functions

void | reset ()

## Member Function Documentation

### void QUrl::addPath ( const QString & p )

Use setPath() instead.

### bool QUrl::cdUp ()

Use resolved("..") instead.

For example, if you have code like

     QUrl url("http://example.com/Developer/");
     url.cdUp();

you can rewrite it as

     QUrl url("http://example.com/Developer/");
     url = url.resolved("..");

### void QUrl::decode ( QString & url )`[static]`

Use fromPercentEncoding() instead.

### QString QUrl::dirPath () const

Use QFileInfo(path()).absolutePath() or QFileInfo(path()) instead.

### void QUrl::encode ( QString & url )`[static]`

Use toPercentEncoding() instead.

### QString QUrl::fileName () const

Use QFileInfo(path()).fileName() instead.

See also setFileName().

### bool QUrl::hasHost () const

Use !host().isEmpty() instead.

### bool QUrl::hasPassword () const

Use !password().isEmpty() instead.

### bool QUrl::hasPath () const

Use !path().isEmpty() instead.

### bool QUrl::hasPort () const

Use port() != -1 instead.

### bool QUrl::hasRef () const

Use !fragment().isEmpty() instead.

### bool QUrl::hasUser () const

Use !userName().isEmpty() instead.

### bool QUrl::isRelativeUrl ( const QString & url )`[static]`

Use isRelative() instead.

### QString QUrl::protocol () const

Use scheme() instead.

See also setProtocol().

### QString QUrl::query () const

Use encodedQuery() instead.

See also setQuery().

### QString QUrl::ref () const

Use fragment() instead.

See also setRef().

### void QUrl::reset ()`[protected]`

Use clear() instead.

### void QUrl::setFileName ( const QString & txt )

Use setPath() instead.

See also fileName().

### void QUrl::setProtocol ( const QString & s )

Use setScheme() instead.

See also protocol().

### void QUrl::setQuery ( const QString & txt )

Use setEncodedQuery() instead.

See also query().

### void QUrl::setRef ( const QString & txt )

Use setFragment() instead.

See also ref().

### void QUrl::setUser ( const QString & s )

Use setUserName() instead.

See also user().

### QString QUrl::user () const

Use userName() instead.

See also setUser().

### QUrl::operator QString () const

Use toString() instead.